Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_StructProperty_T Class Template Reference

@brief. More...

`#include <Property_T.h>`

Inheritance diagram for TAO_NS_StructProperty_T:

[legend]
Collaboration diagram for TAO_NS_StructProperty_T:

[legend]
List of all members.

## Public Methods
| TAO_NS_StructProperty_T (const ACE_CString &name, const TYPE &initial)
| Constuctor. More...
| TAO_NS_StructProperty_T (const ACE_CString &name)
| Constuctor. More...
int | set (const TAO_NS_PropertySeq &property_seq)
| Init this Property from the sequence. Returns 0 on success, -1 on error. More...
const TYPE & | value (void) const
| Return the value. More...
CORBA::Boolean | is_valid (void) const
| Is the current value valid. More...
## Protected Attributes
ACE_CString | name_
| The Property name. More...
TYPE | value_
| The value. More...
CORBA::Boolean | valid_
| Is the value valid. More...

## Detailed Description

### template<class TYPE>
class TAO_NS_StructProperty_T< TYPE >

@brief.

## Constructor & Destructor Documentation

template<class TYPE>
TAO_NS_StructProperty_T< TYPE >::TAO_NS_StructProperty_T | ( | const ACE_CString & | name,
|  | const TYPE & | initial
| ) |

| Constuctor.

template<class TYPE>
TAO_NS_StructProperty_T< TYPE >::TAO_NS_StructProperty_T | ( | const ACE_CString & | name | ) |

| Constuctor.

## Member Function Documentation

template<class TYPE>
CORBA::Boolean TAO_NS_StructProperty_T< TYPE >::is_valid | ( | void |  | ) | const

| Is the current value valid.

template<class TYPE>
int TAO_NS_StructProperty_T< TYPE >::set | ( | const TAO_NS_PropertySeq & | property_seq | ) |

| Init this Property from the sequence. Returns 0 on success, -1 on error.

template<class TYPE>
const TYPE& TAO_NS_StructProperty_T< TYPE >::value | ( | void |  | ) | const

| Return the value.

## Member Data Documentation

template<class TYPE>
ACE_CString TAO_NS_StructProperty_T::name_`[protected]`

| The Property name.

template<class TYPE>
CORBA::Boolean TAO_NS_StructProperty_T::valid_`[protected]`

| Is the value valid.

template<class TYPE>
TYPE TAO_NS_StructProperty_T::value_`[protected]`

| The value.

The documentation for this class was generated from the following files:

- Property_T.h
- Property_T.cpp